io.vertx.reactivex.sqlclient

## Class SqlResult<T>

- java.lang.Object
- - io.vertx.reactivex.sqlclient.SqlResult<T>

- Direct Known Subclasses:
    RowSet

      public class SqlResult<T>
      extends Object

  An interface that represents the execution result of an operation on the database server.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<SqlResult>` | `__TYPE_ARG`
    `io.vertx.lang.rx.TypeArg<T>` | `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlResult(Object delegate, io.vertx.lang.rx.TypeArg<T> typeArg_0)`
    `SqlResult(SqlResult delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ColumnDescriptor>` | `columnDescriptors()` Get the column descriptors in the SqlResult.
    `List<String>` | `columnsNames()` Get the names of columns in the SqlResult.
    `boolean` | `equals(Object o)`
    `SqlResult` | `getDelegate()`
    `int` | `hashCode()`
    `static <T> SqlResult<T>` | `newInstance(SqlResult arg)`
    `static <T> SqlResult<T>` | `newInstance(SqlResult arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T)`
    `SqlResult<T>` | `next()` Return the next available result or `null`, e.g for a simple query that executed multiple queries or for a batch result.
    `<V> V` | `property(PropertyKind<V> propertyKind)` Get the specific property with the specified `PropertyKind`.
    `int` | `rowCount()` Get the number of the affected rows in the operation to this SqlResult.
    `int` | `size()` Get the number of rows retrieved in the SqlResult.
    `String` | `toString()`
    `T` | `value()` Get the execution result value, the execution result type may vary such as a `rowSet` or even a `String`.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SqlResult> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<T> __typeArg_0

  - ### Constructor Detail

    - #### SqlResult

          public SqlResult(SqlResult delegate)

    - #### SqlResult

          public SqlResult(Object delegate,
                           io.vertx.lang.rx.TypeArg<T> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SqlResult getDelegate()

    - #### rowCount

          public int rowCount()

      Get the number of the affected rows in the operation to this SqlResult.
      Returns:
        the count of affected rows.

    - #### columnsNames

          public List<String> columnsNames()

      Get the names of columns in the SqlResult.
      Returns:
        the list of names of columns.

    - #### columnDescriptors

          public List<ColumnDescriptor> columnDescriptors()

      Get the column descriptors in the SqlResult.
      Returns:
        the list of column descriptors

    - #### size

          public int size()

      Get the number of rows retrieved in the SqlResult.
      Returns:
        the count of rows.

    - #### property

          public <V> V property(PropertyKind<V> propertyKind)

      Get the specific property with the specified `PropertyKind`.
      Parameters:
        `propertyKind` - the unique object which is used to indicate which property of the execution result to fetch
      Returns:
        the value of the property

    - #### value

          public T value()

      Get the execution result value, the execution result type may vary such as a `rowSet` or even a `String`.
      Returns:
        the result value

    - #### next

          public SqlResult<T> next()

      Return the next available result or `null`, e.g for a simple query that executed multiple queries or for a batch result.
      Returns:
        the next available result or `null` if none is available

    - #### newInstance

          public static <T> SqlResult<T> newInstance(SqlResult arg)

    - #### newInstance

          public static <T> SqlResult<T> newInstance(SqlResult arg,
                                                     io.vertx.lang.rx.TypeArg<T> __typeArg_T)

Copyright © 2021 Eclipse. All rights reserved.